#include<iostream>
#include<time.h>
#include<stdlib.h>
#include<conio.h>
#include <bits/stdc++.h>
#include<cmath>

using namespace std;

void zameni1(int a[], int n) {
	int i,temp;
	temp=a[i];
	a[i]=a[i+1];
	a[i+1]=temp;
	for(i=0;i<n;i++) cout<<a[i]<<" ";
}
void zameni2(int a[],int n,int i) {
	int temp=a[i];
	a[i]=a[i+1];
	a[i+1]=temp;
	for(i=0;i<n;i++) cout<<a[i]<<" ";
}
void zameni3(int a[], int n) {
	int i,temp,max,ind;
	max=a[0];
	for(i=1;i<n;i++) {
		if(a[i]>max) {
			max=a[i];
			ind=i;
		}
	}
	temp=max;
	a[ind]=a[0];
	a[0]=temp;
	for(i=0;i<n;i++) cout<<a[i]<<" ";
}
int max_vr(int a[],int n) {
	int s=a[0],ind;
	for(int i=1;i<n;i++) {
		if(a[i]>s) {
			s=a[i];
			ind=i;
		}
	}
	return s;
}
main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int a[100],b[100],n,i,j,k=0,s,max;
	cin>>n;
	for(i=0;i<n;i++) {
		cin>>a[i];
	}
	if(n==2) {
		zameni1(a,n);
	}
	max=max_vr(a,n);
	if(a[0]==max) {
		if(n>2) {
			for(i=0;i<n;i++) {
				if(a[i]>a[i+1]) continue;
				if(a[i]<a[i+1]) zameni2(a,n,i);
				break;
			}
		}
	}
	else if(n>2) {
		for(i=0;i<n;i++) {
			zameni3(a,n);
			break;
		}
	}
	
	return 0;
}